Проблемы с библиотекой kivy python

Я пытаюсь разобраться в этой библиотеке чтобы писать простенькие игры на андроид, но все обучающие видео нацелены на виндовс и убунту, и мажера не находит некоторые необходимые пакеты из этого списка (рекомендация по пакетам из обучающего видео):


Когда я пытаюсь установить какие-нибудь пакеты вроде libsdl2-dev консоль выдаёт это:
[islambek243@manjaro ~]$ sudo pacman -S libsdl2-dev
[sudo] password for islambek243:
error: target not found: libsdl2-dev
[islambek243@manjaro ~]$ pip install libsdl2-dev
Defaulting to user installation because normal site-packages is not writeable
ERROR: Could not find a version that satisfies the requirement libsdl2-dev (from versions: none)
ERROR: No matching distribution found for libsdl2-dev

Здравствуйте. Попробуйте установить те же пакеты, но без -dev на конце. Кажется, этого должно быть достаточно.

Спасибо за ответ, но ошибка остаётся всё та же
[islambek243@manjaro mduh]$ pip install libsdl2
Defaulting to user installation because normal site-packages is not writeable
ERROR: Could not find a version that satisfies the requirement libsdl2 (from versions: none)
ERROR: No matching distribution found for libsdl2
[islambek243@manjaro mduh]$ sudo pacman -S libsdl2
error: target not found: libsdl2
В английской части форума мне сказали что таких модулей на манжаре просто нет, как я понял. Так что жду человека который знает что в таком случае делать

это оно?
https://wiki.libsdl.org/Installation

вроде похоже. Наверное, в моём случае достаточно установить sdl2, спасибо

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by